"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GhApiPreparer = void 0;
class GhApiPreparer {
    inquire() {
        return [
            {
                name: "ghHostname",
                type: "input",
                message: "GitHub hostname. Input if you use GitHub enterprise.",
                default: "github.com",
            },
            {
                name: "owner",
                type: "input",
                message: "Owner name.",
            },
            {
                name: "repository",
                type: "input",
                message: "Repository name.",
            },
            {
                name: "token",
                type: "input",
                message: "Private access token.",
            },
        ];
    }
    prepare({ options: { ghHostname, owner, repository, token } }) {
        return __awaiter(this, void 0, void 0, function* () {
            return {
                githubUrl: `https://${ghHostname}`,
                owner,
                repository,
                privateToken: token,
            };
        });
    }
}
exports.GhApiPreparer = GhApiPreparer;
//# sourceMappingURL=gh-api-preparer.js.map